<!DOCTYPE html>
<html lang="en">
<head>
    {% load static %}
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="{% static 'styles.css' %}">
</head>
<body>
<h2>Mathbot</h2>
<h3>Created with FastAPI</h3>

<h4>To make a request with python</h4>
<pre><code>
import requests

requests.post(
    url='https://tangibleai-mathtext-fastapi.hf.space/intent-recognition',
    json={"content": "I reject it"}
    ).json()

requests.post(
    url='https://tangibleai-mathtext-fastapi.hf.space/text2int',
    json={"content": "forty two"}
    ).json()

</code></pre>

<h4>To make a request with curl</h4>
<pre><code>
curl --silent -X POST "https://tangibleai-mathtext-fastapi.hf.space/intent-recognition" -H 'Content-Type: application/json' -d '{"content":"I am happy with it!"}'

curl --silent -X POST "https://tangibleai-mathtext-fastapi.hf.space/text2int" -H 'Content-Type: application/json' -d '{"content":"forty two"}'
</code></pre>
</body>
</html>
